Bug 32510 - "New list" option is not available when too many patron's lists
Summary: "New list" option is not available when too many patron's lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Hammat wele
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-12-21 00:14 UTC by Marie-Luce Laflamme
Modified: 2023-12-28 20:44 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.05


Attachments
bottom of the drop-down menu is not showing "New list" (16.12 KB, image/png)
2022-12-21 00:14 UTC, Marie-Luce Laflamme
Details
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists (1.94 KB, patch)
2023-01-09 16:45 UTC, Hammat wele
Details | Diff | Splinter Review
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists (2.00 KB, patch)
2023-01-09 17:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists (2.09 KB, patch)
2023-02-24 10:36 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marie-Luce Laflamme 2022-12-21 00:14:49 UTC
Created attachment 144753 [details]
bottom of the drop-down menu is not showing "New list"

It's impossible to add a patron to a new list when Koha has more than 30 patrons’ lists. This behaviour affects the "add patron to list" drop-down menu in the patron search page  (Patrons module > patron search > add to patron list button ). Koha will show an endless drop-down menu without the "New list" option, so you can't create more lists.

This unfortunate behaviour is causing issues in large school who love and use over 700 patrons' lists.


Test plan
1. Go to Patron module
2. Search for patrons
3. Select few accounts
4. Click on "add to patron list",  then choose "New list" 
If your Koha has a little number of patrons’ lists, add some more until you've reached a total of 30 lists.
5. When you've reached 30 lists, try to add a patron to a new list
--> the "new list" option is no longer available after 30 lists
Comment 1 Marie-Luce Laflamme 2022-12-21 00:18:48 UTC
see this sandbox to visualise the behaviour
https://staff-minlibro.sandbox.bywatersolutions.com/cgi-bin/koha/members/members-home.pl?firstletter=A
Comment 2 Hammat wele 2023-01-09 16:45:22 UTC
Created attachment 145153 [details] [review]
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists

It's impossible to add a patron to a new list when Koha has more than 35 patrons’ lists. This behaviour affects the 'add patron to list' drop-down menu in the patron search page (Patrons module > patron search > add to patron list button ). Koha will show a drop-down menu without the 'New list' option being visible, so you can't create more lists.

This patch allows scrolling the drop-down menu when there are too many lists.

To reproduce:
1. Go to Patron module
2. Search for patrons
3. Select few accounts
4. Click on 'add to patron list',  then choose 'New list'
If your Koha has a little number of patrons’ lists, add some more until you've reached a total of 35 lists (or more depending on your sreen resolution).
5. When you've reached 35 lists, try to add a patron to a new list
--> the 'new list' option is no longer available after 35 lists

6. Apply the patch
7. compile the .scss file 'yarn build --view'
8. Clear your navigator caches
9. repeat step 1, 2, 3, 4
11. You can now scroll drop-down menu and see The 'New list' option
Comment 3 Lucas Gass 2023-01-09 17:51:35 UTC
Created attachment 145155 [details] [review]
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists

It's impossible to add a patron to a new list when Koha has more than 35 patrons’ lists. This behaviour affects the 'add patron to list' drop-down menu in the patron search page (Patrons module > patron search > add to patron list button ). Koha will show a drop-down menu without the 'New list' option being visible, so you can't create more lists.

This patch allows scrolling the drop-down menu when there are too many lists.

To reproduce:
1. Go to Patron module
2. Search for patrons
3. Select few accounts
4. Click on 'add to patron list',  then choose 'New list'
If your Koha has a little number of patrons’ lists, add some more until you've reached a total of 35 lists (or more depending on your sreen resolution).
5. When you've reached 35 lists, try to add a patron to a new list
--> the 'new list' option is no longer available after 35 lists

6. Apply the patch
7. compile the .scss file 'yarn build --view'
8. Clear your navigator caches
9. repeat step 1, 2, 3, 4
11. You can now scroll drop-down menu and see The 'New list' option

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Marcel de Rooy 2023-02-24 10:36:25 UTC
Created attachment 147289 [details] [review]
Bug 32510: Patrons - 'New list' option is not available when too many patron's lists

It's impossible to add a patron to a new list when Koha has more than 35 patrons’ lists. This behaviour affects the 'add patron to list' drop-down menu in the patron search page (Patrons module > patron search > add to patron list button ). Koha will show a drop-down menu without the 'New list' option being visible, so you can't create more lists.

This patch allows scrolling the drop-down menu when there are too many lists.

To reproduce:
1. Go to Patron module
2. Search for patrons
3. Select few accounts
4. Click on 'add to patron list',  then choose 'New list'
If your Koha has a little number of patrons’ lists, add some more until you've reached a total of 35 lists (or more depending on your sreen resolution).
5. When you've reached 35 lists, try to add a patron to a new list
--> the 'new list' option is no longer available after 35 lists

6. Apply the patch
7. compile the .scss file 'yarn build --view'
8. Clear your navigator caches
9. repeat step 1, 2, 3, 4
11. You can now scroll drop-down menu and see The 'New list' option

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Tomás Cohen Arazi 2023-04-06 13:40:32 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Jacob O'Mara 2023-04-16 20:37:20 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.